/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.ui.editpart.command;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.gef.commands.Command;
import org.fortiss.tooling.kernel.service.IElementCompositorService;

/**
 * The GEF command used for removing elements from diagrams using the
 * composition service.
 * 
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating GREEN Hash: 1538EA3CEED7E1A44E6AEFAD983D31B8
 */
public class RemoveCommand extends Command {
	/** The entity to be removed. */
	private final EObject toRemove;

	/** Creates a command to remove an element. */
	public RemoveCommand(EObject toRemove) {
		this.toRemove = toRemove;
	}

	/** {@inheritDoc} */
	@Override
	public void execute() {
		IElementCompositorService.getInstance().decompose(toRemove);
	}

	/** {@inheritDoc} */
	@Override
	public boolean canExecute() {
		return IElementCompositorService.getInstance().canDecompose(toRemove);
	}
}
