/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2016 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.internal;

import org.fortiss.tooling.base.annotation.AnnotationValueService;
import org.fortiss.tooling.base.annotation.IAnnotationValueService;

/**
 * Implementation of tooling base initialization and startup.
 * 
 * @author barner
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating RED Hash:
 */
public class ToolingBaseInternal {
	/** Initialize tooling base services. */
	public static void initializeToolingBase() {
		System.out.println("Tooling Base initializing ...");

		((AnnotationValueService)IAnnotationValueService.getInstance()).initializeService();
		// TODO Initialization of ModelElementLibraryService needed? (Is not a
		// ObjectAwareServiceBase)

		System.out.println("Tooling Base initialized.");
	}

	/** Start tooling base services. */
	public static void startToolingBase() {
		System.out.println("Tooling Base starting ...");

		((AnnotationValueService)IAnnotationValueService.getInstance()).startService();
		// TODO Start of ModelElementLibraryService needed? (Is not a ObjectAwareServiceBase)

		System.out.println("Tooling Base started.");
	}
}
