/*--------------------------------------------------------------------------+
$Id: codetemplates.xml 1 2011-01-01 00:00:01Z hoelzl $
|                                                                          |
| Copyright 2016 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.ui.extension.base;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.jface.action.IContributionItem;
import org.fortiss.tooling.kernel.extension.data.TutorialStepBase;
import org.fortiss.tooling.kernel.ui.extension.ITutorialUIWhitelistProvider;

/**
 * Base class combining {@link TutorialStepUIAtomicBase} and {@link ITutorialUIWhitelistProvider}.
 * 
 * @author hoelzl
 * @author $Author: hoelzl $
 * @version $Rev: 18709 $
 * @ConQAT.Rating RED Hash:
 */
public abstract class TutorialStepUICompositeWithWhitelistBase extends TutorialStepUICompositeBase
		implements ITutorialUIWhitelistProvider {

	/** Constructor. */
	public TutorialStepUICompositeWithWhitelistBase(String title, TutorialStepBase firstStep) {
		super(title, firstStep);
	}

	/** Constructor. */
	public TutorialStepUICompositeWithWhitelistBase(String title, String description,
			TutorialStepBase firstStep) {
		super(title, description, firstStep);
	}

	/** {@inheritDoc} */
	@Override
	public boolean elementVisibleInNavigator(EObject element) {
		return false;
	}

	/** {@inheritDoc} */
	@Override
	public boolean globalDefaultActionsVisible() {
		return false;
	}

	/** {@inheritDoc} */
	@Override
	public boolean contextMenuContributionVisible(EObject element, IContributionItem contribution) {
		return false;
	}
}
