/*--------------------------------------------------------------------------+
$Id: codetemplates.xml 1 2011-01-01 00:00:01Z hoelzl $
|                                                                          |
| Copyright 2016 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.ui.internal;

import org.fortiss.tooling.kernel.extension.IEclipseResourcePostLoadProvider;
import org.fortiss.tooling.kernel.extension.data.ITopLevelElement;
import org.fortiss.tooling.kernel.ui.service.IConstraintVerificationUIService;

/**
 * An {@link IEclipseResourcePostLoadProvider} for the {@link ConstraintVerificationUIService}.
 * <p>
 * Formerly, the interface was implemented directly by the service, which caused two instances to be
 * present at runtime (one created by the extension, the other by the interface's singleton).
 * 
 * @author hoelzl
 * @author $Author: hoelzl $
 * @version $Rev: 18709 $
 * @ConQAT.Rating RED Hash:
 */
public final class ConstraintVerificationUIServicePostLoadProvider implements
		IEclipseResourcePostLoadProvider {
	/** {@inheritDoc} */
	@Override
	public void postModelLoadRun(ITopLevelElement modelElement) {
		ConstraintVerificationUIService cvuis =
				(ConstraintVerificationUIService)IConstraintVerificationUIService.getInstance();
		cvuis.postModelLoadRun(modelElement);
	}
}
