/*--------------------------------------------------------------------------+
$Id: codetemplates.xml 1 2011-01-01 00:00:01Z hoelzl $
|                                                                          |
| Copyright 2015 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.ui.service;

import org.eclipse.gef.EditPartFactory;
import org.fortiss.tooling.kernel.ui.extension.IAllocationEditPartFactory;
import org.fortiss.tooling.kernel.ui.internal.AllocationEditPartFactoryService;

/**
 * The edit part factory service provides registration of {@link IAllocationEditPartFactory}s. The
 * service is itself an {@link EditPartFactory} and can therefore be used as factory for allocations
 * between any two GEF-based graphical editors.
 * 
 * @author eder
 * @author $Author: hoelzl $
 * @version $Rev: 18709 $
 * @ConQAT.Rating GREEN Hash: D6FC81F6521698E9A15E3F73B26A010B
 */
public interface IAllocationEditPartFactoryService extends EditPartFactory {
	/**
	 * Returns the singleton instance of the service.
	 * 
	 * @deprecated
	 *             use {@link #getInstance()} instead
	 */
	@Deprecated
	public static final IAllocationEditPartFactoryService INSTANCE =
			new AllocationEditPartFactoryService();

	/** Returns the service instance. */
	public static IAllocationEditPartFactoryService getInstance() {
		return INSTANCE;
	}
}
