package org.fortiss.tooling.kernel.ui.service;

import org.fortiss.tooling.kernel.model.constraints.IConstraint;
import org.fortiss.tooling.kernel.model.constraints.IConstraintVerificationStatus;
import org.fortiss.tooling.kernel.service.IConstraintVerificationService;
import org.fortiss.tooling.kernel.ui.internal.ConstraintVerificationUIService;

/**
 * GUI aspects of {@link IConstraintVerificationService}.
 * 
 * @author aravantinos
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating YELLOW Hash: 07DB0EA202D19FE3C1407B53B01F974F
 */
public interface IConstraintVerificationUIService {
	/**
	 * Returns the singleton instance of the service.
	 * 
	 * @deprecated
	 *             use {@link #getInstance()} instead
	 */
	@Deprecated
	public static final IConstraintVerificationUIService INSTANCE =
			new ConstraintVerificationUIService();

	/** Returns the service instance. */
	public static IConstraintVerificationUIService getInstance() {
		return INSTANCE;
	}

	/** Action to take when trying to open the given status. */
	public void openStatus(IConstraintVerificationStatus status);

	/** True if the given status can be open. */
	public boolean canOpen(IConstraintVerificationStatus status);

	/** Install the notifiers required for the given constraint. */
	public void installNotifiers(IConstraint constraint);
}
