/*--------------------------------------------------------------------------+
$Id: codetemplates.xml 1 2011-01-01 00:00:01Z hoelzl $
|                                                                          |
| Copyright 2016 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.extension.data;

import org.fortiss.tooling.kernel.extension.ITutorialStep;

/**
 * Data class for steps of tutorials.
 * 
 * @author hoelzl
 * @author $Author: hoelzl $
 * @version $Rev: 18709 $
 * @ConQAT.Rating RED Hash:
 */
public abstract class TutorialStepBase implements ITutorialStep {
	/** The title of the tutorial. */
	private final String title;
	/** The description of this tutorial step. */
	private final String description;
	/** The parent element of this step. */
	private TutorialCompositeStep parent;

	/** Constructor. */
	public TutorialStepBase(String title, String description) {
		this.title = title;
		this.description = description;
	}

	/** Constructor. */
	public TutorialStepBase(String title) {
		this(title, "");
	}

	/** {@inheritDoc} */
	@Override
	public final String getTitle() {
		return title;
	}

	/** {@inheritDoc} */
	@Override
	public final String getDescription() {
		return description;
	}

	/** Sets the parent. */
	/* package */void setParent(TutorialCompositeStep parent) {
		this.parent = parent;
	}

	/** {@inheritDoc} */
	@Override
	public TutorialCompositeStep getParent() {
		return parent;
	}
}
