/*--------------------------------------------------------------------------+
$Id: codetemplates.xml 1 2011-01-01 00:00:01Z hoelzl $
|                                                                          |
| Copyright 2016 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.internal;

import org.fortiss.tooling.kernel.service.IConnectionCompositorService;
import org.fortiss.tooling.kernel.service.IConstraintCheckerService;
import org.fortiss.tooling.kernel.service.IConstraintVerificationService;
import org.fortiss.tooling.kernel.service.IElementCompositorService;
import org.fortiss.tooling.kernel.service.ILibraryService;
import org.fortiss.tooling.kernel.service.ILoggingService;
import org.fortiss.tooling.kernel.service.IMigrationService;
import org.fortiss.tooling.kernel.service.IPersistencyService;
import org.fortiss.tooling.kernel.service.IPrototypeService;
import org.fortiss.tooling.kernel.service.ITransformationService;
import org.fortiss.tooling.kernel.service.ITutorialService;

/**
 * Implementation of the kernel initialization and startup.
 * 
 * @author hoelzl
 * @author $Author: hoelzl $
 * @version $Rev: 18709 $
 * @ConQAT.Rating RED Hash:
 */
public final class ToolingKernelInternal {
	/** Initialize the kernel services. */
	public static void initializeKernel() {
		System.out.println("Tooling Kernel initializing ...");
		((ConnectionCompositorService)IConnectionCompositorService.getInstance()).initializeService();
		((ConstraintCheckerService)IConstraintCheckerService.getInstance()).initializeService();
		((ConstraintVerificationService)IConstraintVerificationService.getInstance())
				.initializeService();
		((ElementCompositorService)IElementCompositorService.getInstance()).initializeService();
		((LibraryService)ILibraryService.getInstance()).initializeService();
		((LoggingService)ILoggingService.getInstance()).initializeService();
		((MigrationService)IMigrationService.getInstance()).initializeService();
		((PersistencyService)IPersistencyService.getInstance()).initializeService();
		((PrototypeService)IPrototypeService.getInstance()).initializeService();
		((TransformationService)ITransformationService.getInstance()).initializeService();
		((TutorialService)ITutorialService.getInstance()).initializeService();
		System.out.println("Tooling Kernel initialized.");
	}

	/** Starts the kernel services. */
	public static void startKernel() {
		System.out.println("Tooling Kernel starting ...");
		((ConnectionCompositorService)IConnectionCompositorService.getInstance()).startService();
		((ConstraintCheckerService)IConstraintCheckerService.getInstance()).startService();
		((ConstraintVerificationService)IConstraintVerificationService.getInstance()).startService();
		((ElementCompositorService)IElementCompositorService.getInstance()).startService();
		((LibraryService)ILibraryService.getInstance()).startService();
		((LoggingService)ILoggingService.getInstance()).startService();
		((MigrationService)IMigrationService.getInstance()).startService();
		((PersistencyService)IPersistencyService.getInstance()).startService();
		((PrototypeService)IPrototypeService.getInstance()).startService();
		((TransformationService)ITransformationService.getInstance()).startService();
		((TutorialService)ITutorialService.getInstance()).startService();
		System.out.println("Tooling Kernel started.");
	}
}
