/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2016 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.introspection.items;

import java.util.List;
import java.util.Map;

import org.fortiss.tooling.kernel.extension.IConstraintVerifier;
import org.fortiss.tooling.kernel.introspection.IIntrospectionDetailsItem;
import org.fortiss.tooling.kernel.model.constraints.IConstraint;
import org.fortiss.tooling.kernel.service.IConstraintVerificationService;

/**
 * {@link IIntrospectionDetailsItem} for the {@link IConstraintVerificationService}.
 * 
 * @author aravantinos
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating YELLOW Hash: AAFB5BD0B7D7A81C94BA8849D13295BB
 */
public class ConstraintVerificationServiceIntrospectionDetailsItem extends
		EObjectAwareIntrospectionDetailsItemBase<IConstraintVerifier<IConstraint>> {

	/** Constructor. */
	public ConstraintVerificationServiceIntrospectionDetailsItem(
			Map<Class<?>, List<IConstraintVerifier<IConstraint>>> handlers) {
		super(handlers);
	}
}
